## smokekde 4.7.1

=== debian/changelog ===
smokekde (4:4.7.1-0ubuntu2) oneiric; urgency=low

  * Fix upload that was inadvertently based of obsolete packaging and base off
    most recent Debian package
    - No patches remaining

 -- Scott Kitterman <scott@kitterman.com>  Wed, 07 Sep 2011 23:31:43 -0400

smokekde (4:4.7.1-0ubuntu1) oneiric; urgency=low

  * New upstream release
  * Drop fix_smoke_config_install_path (now included in sources)

 -- Jonathan Kolberg <bulldog98@kubuntu-de.org>  Sun, 04 Sep 2011 11:01:23 +0200

smokekde (4:4.7.0-1) unstable; urgency=low

  * Initial release, split from the kdebindings source.

  [ David Palacio ]
  * Update control:
    - add libsmokekde4-dbg
    - update Uploaders
  * Switch to dh7:
    - clean rules
    - pass --list-missing to dh_install
  * Adapt watch file to the new source name.
  * Adapt Vcs fields.
  * Switch copyright to the DEP5 format, revision 174.
  * Add patch fix_smoke_config_install_path.diff to fix installation of the
    kde-config.xml configuration.

  [ Pino Toscano ]
  * Update control:
    - libsmokekde4-dbg: make it break/replace kdebindings-dbg, fix Section
      and Priority
    - improve descriptions
    - require smoke-dev-tools and libsmokeqt4-dev >= 4.7.0, and make
      libsmokekde-dev depend on them
  * Update rules:
    - pass sodeps as dh addon
  * Update copyright.
  * Update lintian overrides.
  * Backport upstream patches:
    - fix-kutils-linking.patch: fix the link of smokekutils
    - fix-knewstuff2-binding.patch: fix the generation of smokeknewstuff2
  * Link in --as-needed mode.

  [ Modestas Vainius ]
  * Remove myself from Uploaders.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 17 Aug 2011 13:19:55 +0200
