## smokekde 4.7.3

=== debian/changelog ===
smokekde (4:4.7.3-0ubuntu1) precise; urgency=low

  * New upstream release
  * Merge with Debian Git

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 Nov 2011 00:09:45 +0000

smokekde (4:4.7.1-1) unstable; urgency=low

  * New upstream release.

  [ David Palacio ]
  * Remove patches applied upstream:
    - fix_smoke_config_install_path.diff
    - fix-knewstuff2-binding.patch
    - fix-kutils-linking.patch

  [ Pino Toscano ]
  * Generate libraries shlibs based on the current version.
  * Tighten the various libraries dependencies to the current version.
  * Drop version for the smoke-dev-tools and libsmokeqt4-dev dependencies
    of libsmokekde4-dev; the right versions will be picked because of the
    stricter libsmokebase and libsmokeq* (indirect) dependencies.
  * Bump the smoke-dev-tools and libsmokeqt4-dev build-dependencies to 4.7.1.
  * Manually export CXXFLAGS and LDFLAGS from dpkg-buildflags now,
    as dpkg-buildpackage does not do that anymore.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 24 Sep 2011 17:24:18 +0200
