=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@orbitalibre.org>, Michael Meskes <meskes@debian.org>
 Build-Depends: debhelper (>= 7.4.10), pkg-kde-tools (>= 0.6.8), cmake,
- smoke-dev-tools (>= 4:4.7.0), libsmokeqt4-dev (>= 4:4.7.0),
+ smoke-dev-tools (>= 4:4.7.1), libsmokeqt4-dev (>= 4:4.7.1),
  kdelibs5-dev, kdepimlibs5-dev,
  libqt4-opengl-dev, libsoprano-dev, okular-dev, libakonadi-dev, libattica-dev,
  libx11-dev, shared-desktop-ontologies
@@ -278,7 +278,7 @@
 
 Package: libsmokekde-dev
 Section: libdevel
-Depends: libsmokeqt4-dev (>= 4:4.7.0), smoke-dev-tools (>= 4:4.7.0),
+Depends: libsmokeqt4-dev, smoke-dev-tools,
  ${so:Depends}, ${misc:Depends}
 Architecture: any
 Description: KDE SMOKE libraries -- development files
