## smokekde 4.7.95

=== debian/changelog ===
smokekde (4:4.7.95-0ubuntu2) precise; urgency=low

  * Rebuild against new libokularcore

 -- Andreas Moog <amoog@ubuntu.com>  Sat, 31 Dec 2011 13:34:39 +0100

smokekde (4:4.7.95-0ubuntu1) precise; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 24 Dec 2011 15:17:12 +0100
