## smokekde 4.8.1

=== debian/changelog ===
smokekde (4:4.8.1-0ubuntu1) precise; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 03 Mar 2012 13:02:47 +0100
