## smokekde 4.8.2

=== debian/changelog ===
smokekde (4:4.8.2-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 31 Mar 2012 00:24:45 +0200
