=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@orbitalibre.org>, Michael Meskes <meskes@debian.org>
 Build-Depends: debhelper (>= 7.4.10), pkg-kde-tools (>= 0.6.8), cmake,
- smoke-dev-tools (>= 4:4.7.90), libsmokeqt4-dev (>= 4:4.7.90),
- kdelibs5-dev (>= 4:4.7.90), kdepimlibs5-dev (>= 4:4.7.90),
+ smoke-dev-tools (>= 4:4.8.1), libsmokeqt4-dev (>= 4:4.8.1),
+ kdelibs5-dev (>= 4:4.8.1), kdepimlibs5-dev (>= 4:4.8.1),
  libqt4-opengl-dev, libsoprano-dev, okular-dev, libakonadi-dev, libattica-dev,
  libx11-dev, shared-desktop-ontologies
 Standards-Version: 3.9.2
