=== debian/changelog ===
smokekde (4:4.8.90-0ubuntu1) quantal; urgency=low

  * New upstream beta release.

 -- Felix Geyer <debfx@ubuntu.com>  Wed, 13 Jun 2012 08:25:29 +0200

smokekde (4:4.8.3-0ubuntu1) quantal; urgency=low

  * New upstream release
    - Add libssl-dev to build-dep
    - Bump Standard-Version to 3.9.3 (no changes needed)

 -- Jonathan Kolberg <bulldog98@kubuntu.org>  Thu, 03 May 2012 14:07:06 +0200
