=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@orbitalibre.org>, Michael Meskes <meskes@debian.org>
 Build-Depends: debhelper (>= 7.4.10), pkg-kde-tools (>= 0.6.8), cmake,
  smoke-dev-tools (>= 4:4.9.0), libsmokeqt4-dev (>= 4:4.9.0),
- kdelibs5-dev (>= 4:4.9.0), kdepimlibs5-dev (>= 4:4.9.0),
- libqt4-opengl-dev, libsoprano-dev, okular-dev, libakonadi-dev, libattica-dev,
+ kdelibs5-dev (>= 4:4.9.1), kdepimlibs5-dev (>= 4:4.9.1),
+ libqt4-opengl-dev, libsoprano-dev, okular-dev, libakonadi-dev, libattica-dev (>= 0.4.1),
  libx11-dev, shared-desktop-ontologies, libssl-dev
 Standards-Version: 3.9.3
 Homepage: http://projects.kde.org/projects/kde/kdebindings/smoke/smokekde
