=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@orbitalibre.org>, Michael Meskes <meskes@debian.org>
 Build-Depends: debhelper (>= 7.4.10), pkg-kde-tools (>= 0.6.8), cmake,
- smoke-dev-tools (>= 4:4.9.0), libsmokeqt4-dev (>= 4:4.9.0),
- kdelibs5-dev (>= 4:4.9.1), kdepimlibs5-dev (>= 4:4.9.1),
+ smoke-dev-tools (>= 4:4.9.2), libsmokeqt4-dev (>= 4:4.9.2),
+ kdelibs5-dev (>= 4:4.9.2), kdepimlibs5-dev (>= 4:4.9.2),
  libqt4-opengl-dev, libsoprano-dev, okular-dev, libakonadi-dev, libattica-dev (>= 0.4.1),
  libx11-dev, shared-desktop-ontologies, libssl-dev
 Standards-Version: 3.9.3
