## smokekde 4.9.90

=== debian/changelog ===
smokekde (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 18:21:33 +0000

smokekde (4:4.9.80-0ubuntu1) raring; urgency=low

  * New upstream beta release
  * Add kubuntu_01_find_akonadi.diff to fix akonadi detection

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Nov 2012 16:28:56 +0000
