## smokekde 4.9.95

=== debian/changelog ===
smokekde (4:4.9.95-0ubuntu1) raring; urgency=low

  * New upstream RC release
  * Add build-dep on nepomuk-core-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:51:56 +0000
