=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@orbitalibre.org>, Michael Meskes <meskes@debian.org>
 Build-Depends: debhelper (>= 7.4.10), pkg-kde-tools (>= 0.6.8), cmake,
  smoke-dev-tools (>= 4:4.9.2), libsmokeqt4-dev (>= 4:4.9.2),
- kdelibs5-dev (>= 4:4.9.90), kdepimlibs5-dev (>= 4:4.9.90),
+ kdelibs5-dev (>= 4:4.9.95), kdepimlibs5-dev (>= 4:4.9.95),
  libqt4-opengl-dev, libsoprano-dev, okular-dev, libakonadi-dev, libattica-dev (>= 0.4.1),
- libx11-dev, shared-desktop-ontologies, libssl-dev
+ libx11-dev, shared-desktop-ontologies, libssl-dev, libnepomukwidgets-dev, nepomuk-core-dev
 Standards-Version: 3.9.3
 Homepage: http://projects.kde.org/projects/kde/kdebindings/smoke/smokekde
 Vcs-Git: git://git.debian.org/git/pkg-kde/kde-sc/smokekde.git
