=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@orbitalibre.org>, Michael Meskes <meskes@debian.org>
 Build-Depends: debhelper (>= 7.4.10), pkg-kde-tools (>= 0.6.8), cmake,
  smoke-dev-tools (>= 4:4.9.2), libsmokeqt4-dev (>= 4:4.9.2),
- kdelibs5-dev (>= 4:4.9.97), kdepimlibs5-dev (>= 4:4.9.97),
+ kdelibs5-dev (>= 4:4.9.98), kdepimlibs5-dev (>= 4:4.9.98),
  libqt4-opengl-dev, libsoprano-dev, okular-dev, libakonadi-dev, libattica-dev (>= 0.4.1),
  libx11-dev, shared-desktop-ontologies, libssl-dev, libnepomukwidgets-dev, nepomuk-core-dev
 Standards-Version: 3.9.3
